Bug 24583 - kernel-smp-2.4.0-0.43.12 freezing on megaraid
kernel-smp-2.4.0-0.43.12 freezing on megaraid
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-22 10:05 EST by Christopher Love
Modified: 2007-04-18 12:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-28 00:30:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Love 2001-01-22 10:05:08 EST
Unable to load the kernel with the kernel-smp-2.4.0-0.43.12 kernel.  The
kernel freezes on the first line of the megaraid driver.  I am currently
able to run the kernel-smp-2.2.16-22 kernel.

cat of /proc/megaraid/0/config in 2.2.16-22 kernel
cat /proc/megaraid/0/config 
Controller Type: 418/428/434
Base = 0000b010, Irq = 10, Logical Drives = 1, Channels = 3
Version =UF80:1.61, DRAM = 8Mb
Controller Queue Depth = 254, Driver Queue Depth = 126

System info:

BP6 dual motherboard
2x 433 PPGA

cat /proc/pci
CI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel 440BX - 82443BX Host (rev 3).
      Medium devsel.  Master Capable.  Latency=32.  
      Prefetchable 32 bit memory at 0xe0000000 [0xe0000008].
  Bus  0, device   1, function  0:
    PCI bridge: Intel 440BX - 82443BX AGP (rev 3).
      Medium devsel.  Master Capable.  Latency=64.  Min Gnt=136.
  Bus  0, device   7, function  0:
    ISA bridge: Intel 82371AB PIIX4 ISA (rev 2).
      Medium devsel.  Fast back-to-back capable.  Master Capable.  No
bursts.  
  Bus  0, device   7, function  1:
    IDE interface: Intel 82371AB PIIX4 IDE (rev 1).
      Medium devsel.  Fast back-to-back capable.  Master Capable. 
Latency=32.  
      I/O at 0xf000 [0xf001].
  Bus  0, device   7, function  2:
    USB Controller: Intel 82371AB PIIX4 USB (rev 1).
      Medium devsel.  Fast back-to-back capable.  IRQ 5.  Master Capable. 
No bursts.  
      I/O at 0xa000 [0xa001].
  Bus  0, device   7, function  3:
    Bridge: Intel 82371AB PIIX4 ACPI (rev 2).
      Medium devsel.  Fast back-to-back capable.  
  Bus  0, device   9, function  0:
    Multimedia audio controller: Unknown vendor Unknown device (rev 2).
      Vendor id=12eb. Device id=1.
      Medium devsel.  Fast back-to-back capable.  IRQ 5.  Master Capable. 
Latency=32.  Min Gnt=2.Max Lat=12.
      Non-prefetchable 32 bit memory at 0xed000000 [0xed000000].
      I/O at 0xa400 [0xa401].
      I/O at 0xa800 [0xa801].
  Bus  0, device  11, function  0:
    Ethernet controller: 3Com Unknown device (rev 4).
      Vendor id=10b7. Device id=9004.
      Medium devsel.  IRQ 11.  Master Capable.  Latency=32.  Min Gnt=10.Max
Lat=48.
      I/O at 0xac00 [0xac01].
      Non-prefetchable 32 bit memory at 0xed020000 [0xed020000].
  Bus  0, device  13, function  0:
    Unknown mass storage controller: Unknown vendor Unknown device (rev 3).
      Vendor id=101e. Device id=9010.
      Medium devsel.  IRQ 10.  Master Capable.  Latency=32.  
      I/O at 0xb000 [0xb001].
  Bus  0, device  19, function  0:
    Unknown mass storage controller: Triones Technologies, Inc. Unknown
device (rev 1).
      Vendor id=1103. Device id=4.
      Medium devsel.  IRQ 11.  Master Capable.  Latency=120.  Min Gnt=8.Max
Lat=8.
      I/O at 0xb400 [0xb401].
      I/O at 0xb800 [0xb801].
      I/O at 0xbc00 [0xbc01].
  Bus  0, device  19, function  1:
    Unknown mass storage controller: Triones Technologies, Inc. Unknown
device(rev 1).
      Vendor id=1103. Device id=4.
      Medium devsel.  IRQ 11.  Master Capable.  Latency=120.  Min Gnt=8.Max
Lat=8.
      I/O at 0xc000 [0xc001].
      I/O at 0xc400 [0xc401].
      I/O at 0xc800 [0xc801].
  Bus  1, device   0, function  0:
    VGA compatible controller: Matrox Unknown device (rev 4).
      Vendor id=102b. Device id=525.
      Medium devsel.  Fast back-to-back capable.  IRQ 9.  Master Capable. 
Latency=32.  Min Gnt=16.Max Lat=32.
      Prefetchable 32 bit memory at 0xe8000000 [0xe8000008].
      Non-prefetchable 32 bit memory at 0xe4000000 [0xe4000000].
      Non-prefetchable 32 bit memory at 0xe5000000 [0xe5000000].

Please let me know what other information I can provide.
Comment 1 Bill Nottingham 2001-01-23 23:30:02 EST
Can you try the 2.4.0-0.99.x kernel currently in rawhide and
see if it behaves better - it's got an updated megaraid driver.
Comment 2 Christopher Love 2001-01-24 03:23:07 EST
depmod off of the rpm install found unresolved sysmbols....

rpm -ivh kernel-smp-2.4.0-0.99.5.i686.rpm
kernel-smp                  ##################################################
depmod: *** Unresolved symbols in
/lib/modules/2.4.0-0.99.5smp/kernel/drivers/net/e100.o
depmod: *** Unresolved symbols in
/lib/modules/2.4.0-0.99.5smp/kernel/drivers/net/pcmcia/wavelan_cs.o
Comment 3 Christopher Love 2001-01-24 13:24:49 EST
Kernel still does not load ...  
Can we place any debugging in the driver to print out exactly where the driver
is locking up.  The box is not locking up... still able to use keyboard etc. 
Moreover I am having to manually create inital ramdisk image using mkinitrd.  I
am wondering if I am missing an option which is confusing the driver when I
create the initial ramdisk.
Comment 4 Christopher Love 2001-02-28 00:30:00 EST
Kernel now loads and driver is functioning well.  Much thanks
Comment 5 Michael K. Johnson 2001-03-01 00:00:33 EST
Thanks for the update.  megaraid driver is also working now in all
our testing, so glad we agree.  :-)

Note You need to log in before you can comment on or make changes to this bug.